package com.greenorange.promotion.service.wechat;

import com.greenorange.promotion.config.WxAccessToken;

import java.io.IOException;

public interface WechatGetQrcodeService {

    /**
     * 获取微信token
     */
    WxAccessToken getAccessToken();


    /**
     * 获取接口调用凭据
     */
    WxAccessToken getApiAccessToken();


    /**
     * 微信小程序获取二维码
     */
    String getWxQrCode(String inviteCode) throws IOException;
}
